Package ru.bitel.oss.systems.inventory.subscription.common.bean

# Class Subscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.subscription.common.bean.Subscription

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Subscription extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Subscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `int`
  `getServId()`
  `int`
  `getSubscribeMode()`
  `Date`
  `getSubscribeTime()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `Date`
  `getUnsubscribeTime()`
  `int`
  `getUserId()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setServId(int servId)`
  `void`
  `setSubscribeMode(int subscribeMode)`
  `void`
  `setSubscribeTime(Date subscribeTime)`
  `void`
  `setTimeFrom(Date timeFrom)`
  `void`
  `setTimeTo(Date timeTo)`
  `void`
  `setTypeId(int typeId)`
  `void`
  `setTypeTitle(String typeTitle)`
  `void`
  `setUnsubscribeTime(Date unsubscribeTime)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Subscription

    public Subscription()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getServId

    public int getServId()

  - ### setServId

    public void setServId(int servId)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### getTypeTitle

    public String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle(String typeTitle)

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom(Date timeFrom)

  - ### getTimeTo

    public Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo(Date timeTo)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getSubscribeMode

    public int getSubscribeMode()

  - ### setSubscribeMode

    public void setSubscribeMode(int subscribeMode)

  - ### getSubscribeTime

    public Date getSubscribeTime()

  - ### setSubscribeTime

    public void setSubscribeTime(Date subscribeTime)

  - ### getUnsubscribeTime

    public Date getUnsubscribeTime()

  - ### setUnsubscribeTime

    public void setUnsubscribeTime(Date unsubscribeTime)